Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.index
Class IndexConnectionManager

    java.lang.Object
      com.atlassian.bamboo.index.IndexConnectionManager

    public class IndexConnectionManager

extends Object

Field Summary
`static String` | `BAMBOO_HOME_CONSTANT`
`static String` | `PROPERTY_INDEX_DIR`

Constructor Summary
`IndexConnectionManager()`
`IndexConnectionManager(Analyzer analyzer)`

Method Summary
`void` | `closeReader()`
`void` | `closeSearcher()`
`void` | `closeWriter()`
`void` | `createIndex(boolean forceCreate)` Create the index if it doesn't exist already.
`Analyzer` | `getAnalyzer()`
`File` | `getIndexDir()`
`IndexReader` | `getReader()`
`IndexSearcher` | `getSearcher()`
`IndexWriter` | `getWriter()`
`void` | `index(Document doc)`
`boolean` | `isInit()`
`void` | `optimize()`
`void` | `recreateIndex()`
`void` | `setAnalyzer(Analyzer analyzer)`
`void` | `setIndexDir(String path)`
`void` | `setInit(boolean init)`
`void` | `unIndex(int i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_INDEX_DIR

    public static final String PROPERTY_INDEX_DIR

See Also:
  Constant Field Values

### BAMBOO_HOME_CONSTANT

    public static final String BAMBOO_HOME_CONSTANT

See Also:
  Constant Field Values

Constructor Detail

### IndexConnectionManager

    public IndexConnectionManager()
                           throws IOException

Throws:
  `IOException`

### IndexConnectionManager

    public IndexConnectionManager(Analyzer analyzer)
                           throws IOException

Throws:
  `IOException`

Method Detail

### optimize

    public void optimize()
                  throws IOException

  Throws:
    `IOException`

### index

    public void index(Document doc)
               throws IOException

  Throws:
    `IOException`

### unIndex

    public void unIndex(int i)
                 throws IOException

  Throws:
    `IOException`

### getReader

    public IndexReader getReader()
                          throws IOException

  Throws:
    `IOException`

### getWriter

    public IndexWriter getWriter()
                          throws IOException

  Throws:
    `IOException`

### getSearcher

    public IndexSearcher getSearcher()
                              throws IOException

  Throws:
    `IOException`

### recreateIndex

    public void recreateIndex()

### closeWriter

    public void closeWriter()

### closeReader

    public void closeReader()

### closeSearcher

    public void closeSearcher()

### createIndex

    public void createIndex(boolean forceCreate)
                     throws LuceneException

  Create the index if it doesn't exist already.

  Parameters:
    `forceCreate` - - blow away exsting if exists.
  Throws:
    `LuceneException`

### getIndexDir

    public File getIndexDir()
                     throws IOException

  Throws:
    `IOException`

### setIndexDir

    public void setIndexDir(String path)
                     throws IOException

  Throws:
    `IOException`

### getAnalyzer

    public Analyzer getAnalyzer()

### setAnalyzer

    public void setAnalyzer(Analyzer analyzer)

### isInit

    public boolean isInit()

### setInit

    public void setInit(boolean init)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.